Skip to main content
GET
/
api
/
v2
/
public
/
workflow
curl --location 'https://api.gocobalt.io/api/v2/public/workflow' \
  --header 'Authorization: Bearer <session_token>'
{
  "docs": [
    {
      "_id": "69ce2736ebade1cc4309e79e",
      "name": "1 via API",
      "org_id": "669e076623c652d7aff25eb9",
      "published": false,
      "associated_application": {
        "_id": "669e0767d6c828b822c4f656",
        "name": "Hubspot",
        "slug": "hubspot"
      },
      "environment": "test",
      "linked_account_id": "cobalt_test_user",
      "is_v2": true,
      "current_version": 0,
      "createdAt": "2025-03-21T09:25:48.384Z",
      "updatedAt": "2025-03-21T09:25:48.384Z"
    }
  ],
  "totalDocs": 4,
  "page": 1,
  "totalPages": 1
}
This API retrieves a paginated list of all private workflows associated with the authenticated linked account.
A private workflow is a workflow created by a linked account itself — it belongs exclusively to that linked account and is not visible to or shared with the organization.

Request description

This API supports two authentication methods. You can use either a Session Token OR the combination of an Org API key and linked account ID.

Authentication Option 1: Session Token

Authorization
string
required
Bearer token using the session token of the linked account.Format: Bearer <session_token>

Authentication Option 2: Org API Key + Linked Account ID

x-api-key
string
required
Your org-level Cobalt API key.
linked_account_id
string
required
The unique identifier of the linked account to scope the response to.

Query Parameters

slug
string
Application slug to filter private workflows. For example: hubspot
curl --location 'https://api.gocobalt.io/api/v2/public/workflow' \
  --header 'Authorization: Bearer <session_token>'

Response description

Returns a paginated object containing an array of private workflow objects under docs.
docs
array
Array of private workflow objects.
totalDocs
integer
Total number of private workflows for this linked account.
page
integer
Current page number.
totalPages
integer
Total number of pages available.
{
  "docs": [
    {
      "_id": "69ce2736ebade1cc4309e79e",
      "name": "1 via API",
      "org_id": "669e076623c652d7aff25eb9",
      "published": false,
      "associated_application": {
        "_id": "669e0767d6c828b822c4f656",
        "name": "Hubspot",
        "slug": "hubspot"
      },
      "environment": "test",
      "linked_account_id": "cobalt_test_user",
      "is_v2": true,
      "current_version": 0,
      "createdAt": "2025-03-21T09:25:48.384Z",
      "updatedAt": "2025-03-21T09:25:48.384Z"
    }
  ],
  "totalDocs": 4,
  "page": 1,
  "totalPages": 1
}